Deletes a KeyRing and its KeyPolicy. The KeyRing must contain no keys; otherwise the request fails with FAILED_PRECONDITION.
HTTP request
DELETE https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyRings/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the KeyRing to delete. The KeyRing must contain no keys. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing} It takes the form |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.